FROM node:alpine

# 3000 is your web server listening port
EXPOSE 3000

COPY app/ /app/

# Then create the /etc/ezmaster.json in your docker image.
# It will tell to ezmaster where is your web server (ex: port 3000),
# where is your JSON configuration file,
# and where is your data folder
RUN echo '{ \
  "httpPort": 3000, \
  "configPath": "/app/config.json", \
  "dataPath": "/data/" \
}' > /etc/ezmaster.json

RUN mkdir /data/

WORKDIR /app/

CMD node index.js --inputDir="/data/"